Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Attributes | List of all members
halide_filter_argument_t Struct Reference

halide_filter_argument_t is essentially a plain-C-struct equivalent to Halide::Argument; most user code will never need to create one. More...

`#include <HalideRuntime.h>`

## Public Attributes
const char * | name
int32_t | kind
int32_t | dimensions
struct halide_type_t | type
const struct halide_scalar_value_t * | scalar_def
const struct halide_scalar_value_t * | scalar_min
const struct halide_scalar_value_t * | scalar_max
const struct halide_scalar_value_t * | scalar_estimate
int64_t const *const * | buffer_estimates

## Detailed Description

halide_filter_argument_t is essentially a plain-C-struct equivalent to Halide::Argument; most user code will never need to create one.

Definition at line 1796 of file HalideRuntime.h.

## Member Data Documentation

## ◆ name

const char* halide_filter_argument_t::name

Definition at line 1797 of file HalideRuntime.h.

## ◆ kind

int32_t halide_filter_argument_t::kind

Definition at line 1798 of file HalideRuntime.h.

## ◆ dimensions

int32_t halide_filter_argument_t::dimensions

Definition at line 1799 of file HalideRuntime.h.

## ◆ type

struct halide_type_t halide_filter_argument_t::type

Definition at line 1800 of file HalideRuntime.h.

## ◆ scalar_def

const struct halide_scalar_value_t* halide_filter_argument_t::scalar_def

Definition at line 1804 of file HalideRuntime.h.

## ◆ scalar_min

const struct halide_scalar_value_t * halide_filter_argument_t::scalar_min

Definition at line 1804 of file HalideRuntime.h.

## ◆ scalar_max

const struct halide_scalar_value_t * halide_filter_argument_t::scalar_max

Definition at line 1804 of file HalideRuntime.h.

## ◆ scalar_estimate

const struct halide_scalar_value_t * halide_filter_argument_t::scalar_estimate

Definition at line 1804 of file HalideRuntime.h.

## ◆ buffer_estimates

int64_t const* const* halide_filter_argument_t::buffer_estimates

Definition at line 1810 of file HalideRuntime.h.

The documentation for this struct was generated from the following file:

- src/runtime/HalideRuntime.h